Bug 21234 - netscape wrapper doesn't work with Gnome session management
Summary: netscape wrapper doesn't work with Gnome session management
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-22 10:32 UTC by chris
Modified: 2014-03-17 02:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-10 23:43:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description chris 2000-11-22 10:32:51 UTC
The wrapper /usr/bin/netscape causes netscape-navigator or
netscape-communicator to be run with the -irix-session-management flag. 
This seems to stop Gnome's session management from working (for netscape). 
Running with just the -session-management flag enables Gnome session
management (though it might break KDE, etc. - I don't use it, so haven't
checked).

Thanks.

Comment 1 Lou Spironello 2001-01-10 23:43:05 UTC
I've having a similar problem.

I had a number of terminal windows open.  Brought up the nescape browser 
through menu selection.  I shut down the browser then tried to shutdown Gnome 
using the gnome log-out menu item with logout.  The gnome scrollout menu 
disappeared. Keyboard input to any open terminal window was unavailable.  Mouse 
action was ok.  I used ctrl-alt-F1 to close gnome.  Gnome paused.  I had to 
type ctrl-C to terminal gnome to the shell prompt.

Received the following error:

subshell.c: couldn't get terminal settings: Invalid argument

XSMP error: Offending minor opcode    = 6 (Interact)
            Offending sequence number = 9
            Error class               = BadState
            Severity                  = CanContinue

I'm runing the following XFree86 Version 3.3.6
(protocol Version 11, revision 0, vendor release 6300)
Release date: January 8, 2000
OS: Linux 2.2.5-22smp i686 [ELF]

SVGA: Graphics device ID: "INtel 740 (generic)"
SVGA: Monitor ID: "PRI21277"
SVGA: PCI: Intel i740 (AGP) rev 33, Memory @ 0xde000000, 0xdfe80000
SVGA: chipset: i740
SVGA: videoram: 8192k
SVGA: Option "dac_8_bit"


This command produces the same error outlined above:

      netscape -session-management


If I use this command to start netscape everthing is fine:

      /usr/lib/netscape/netscape-navigator -session-management

and no xsmp errors or freeze-ups occur.

Lou Spironello
lrs@bigfoot.com


Comment 2 Bill Nottingham 2001-01-19 22:11:06 UTC
Switched as of 4.76-5.

Comment 3 Bill Nottingham 2001-02-06 00:12:16 UTC
Switched back as of 4.76-8. It apparently breaks Japanese support.
Wheeeeeeeeeeeeeeeeee.


Note You need to log in before you can comment on or make changes to this bug.